package com.persagy.server.labsl.services

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.labsl.models.entities.Node
import com.persagy.service.SObjectService
import java.util.*

/**
 * 图例节点服务
 *
 * @author wx
 */
object NodeService : SObjectService<Node>(SMybatisDao(Node::class.java)) {

    override fun onCreateBefore(entity: Node): Boolean {
        entity.id = UUID.randomUUID().toString().replace("-", "")
        return super.onCreateBefore(entity)
    } // Fun

} // Object NodeService